# QUrlInfo Class Reference

### [com.trolltech.qt.network package]

### Constructor

- void QUrlInfo()
- void QUrlInfo(String name, int permissions, String owner, String group, qint64 size, QDateTime lastModified, QDateTime lastRead, bool isDir, bool isFile, bool isSymLink, bool isWritable, bool isReadable, bool isExecutable)
- void QUrlInfo(QUrl url, int permissions, String owner, String group, qint64 size, QDateTime lastModified, QDateTime lastRead, bool isDir, bool isFile, bool isSymLink, bool isWritable, bool isReadable, bool isExecutable)
- void QUrlInfo(QUrlInfo ui)

### Constructor Properties

- prototype: The QUrlInfo prototype object
- bool equal(QUrlInfo i1, QUrlInfo i2, int sortBy)
- bool greaterThan(QUrlInfo i1, QUrlInfo i2, int sortBy)
- bool lessThan(QUrlInfo i1, QUrlInfo i2, int sortBy)
- ExeOther = 00001
- WriteOther = 00002
- ReadOther = 00004
- ExeGroup = 00010
- WriteGroup = 00020
- ReadGroup = 00040
- ExeOwner = 00100
- WriteOwner = 00200
- ReadOwner = 00400
- PermissionSpec( value )

### Prototype Object Properties

- String group()
- bool isDir()
- bool isExecutable()
- bool isFile()
- bool isReadable()
- bool isSymLink()
- bool isValid()
- bool isWritable()
- QDateTime lastModified()
- QDateTime lastRead()
- String name()
- bool operator_equal(QUrlInfo i)
- String owner()
- int permissions()
- void setDir(bool b)
- void setFile(bool b)
- void setGroup(String s)
- void setLastModified(QDateTime dt)
- void setLastRead(QDateTime dt)
- void setName(String name)
- void setOwner(String s)
- void setPermissions(int p)
- void setReadable(bool b)
- void setSize(qint64 size)
- void setSymLink(bool b)
- void setWritable(bool b)
- qint64 size()

### Instance Properties

QUrlInfo objects have no special properties beyond those inherited from the QUrlInfo prototype object.